# Tehtavat
declaration: module: com.example.harjoitustyo, package: com.example.harjoitustyo, class: Tehtavat

# Class Tehtavat

java.lang.Object
com.example.harjoitustyo.Tehtavat

public class Tehtavat extends Object
Luokka, joka hoitaa tehtävien lukemisen ja kirjoittamisen tiedostoon

## Constructor Summary

Constructors
Constructor
Description
`Tehtavat()`
Luo Tehtavat olion, joka sisältää ohjelmassa käsiteltävät tehtävät Hakee automaattisesti tiedostosta tehtävät, mikäli niitä on.

## Method Summary

Modifier and Type
Method
Description
`ArrayList<Tehtava>`
`get()`
Palauttaa tehtävälistan
`void`
`lisaa(Tehtava tehtava)`
Lisää tehtävän listaan
`void`
`poista(Tehtava tehtava)`
Poistaa tehtävän
`void`
`tallenna()`
Tallentaa tehtävälistan luokkaan määriteltyyn tiedostoon

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Tehtavat

public Tehtavat()
Luo Tehtavat olion, joka sisältää ohjelmassa käsiteltävät tehtävät Hakee automaattisesti tiedostosta tehtävät, mikäli niitä on.

## Method Details

### get

public ArrayList<Tehtava> get()
Palauttaa tehtävälistan

Returns:
  tehtävälistan

### lisaa

public void lisaa(Tehtava tehtava)
Lisää tehtävän listaan

Parameters:
  `tehtava` - lisättävä tehtävä

### poista

public void poista(Tehtava tehtava)
Poistaa tehtävän

Parameters:
  `tehtava` - poistettava tehtava

### tallenna

public void tallenna()
Tallentaa tehtävälistan luokkaan määriteltyyn tiedostoon